# norootforbuild

Name:		bareftp
Version:	0.3.8
Release:	1.pm.1.22

Summary:	A file transfer client for FTP/FTPS/SFTP
License:	GPL
Group:		Productivity/Networking/Ftp/Clients
URL:		http://www.bareftp.org/

Source0:	http://www.bareftp.org/release/%{name}-%{version}.tar.gz

Requires:	gconf-sharp2 gnome-keyring-sharp gtk-sharp2 mono-core

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gconf-sharp2 glib2-devel gnome-keyring-sharp-devel gnome-sharp2
BuildRequires:	gnome-vfs-sharp2 gtk-sharp2 intltool mono-data mono-web
BuildRequires:	perl-XML-Parser pkgconfig update-desktop-files


%description
bareFTP is a file transfer client supporting the FTP, FTP over SSL/TLS (FTPS)
and SSH File Transfer Protocol (SFTP). It is written in C#, targeting the
Mono framework and the GNOME desktop environment. bareFTP is released under
the terms of the GPL license. 


%prep
%setup -q


%build
%__sed -i -e "s|mono)/|mono)/usr/|g" configure
%configure --with-keyring=no --disable-static
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%__install -D -m 644 data/%{name}.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file %{name} Network FileTransfer
%find_lang %{name}


%clean
rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog AUTHORS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz


%changelog
* Mon Apr  4 2011 detlef@links2linux.de
- new upstream version <0.3.8>
  * Use combobox for remote charset selection
  * Don't disable synced browsing on refresh (#54)
  * Wider input entries in main window
  * Support international domain names (#56)
  * New translations: ja
  * Updated translations: pl, sv
* Mon Nov 29 2010 detlef@links2linux.de
- new upstream version <0.3.7>
  * Fixed crash when renaming to exisitng local file (#53)
  * Fixed crash issue on Ubuntu 10.04
  * Fixed crash issues when creating/renaming directory (#47)
  * Fixed behaviour of file operation dialog (#46)
  * Synchronized browsing ability (#45)
  * Avoid crash in file permission dialog when permission string are to short
  * UrlDecode drag/drop uri (#51)
  * Add current local and remote path when creating new bookmark (#48)
  * Handle disconnect on timed out connections (partly fixes #49)
  * Updated translations: pt_BR, fr, nb, es, ca
  * New translations: sk
* Wed Oct 13 2010 detlef@links2linux.de
- new upstream version <0.3.6>
  * Fixed path for ssh library
* Sun Oct 10 2010 detlef@links2linux.de
- new upstream version <0.3.5>
  * Directory caching is now optional
  * Fixed UI issues when background tasks are running - less sluggishness.
  * Fixed bug making bareftp miss ssh server password request
  * Fixed possible ldpath vulnerability in startup script
  * Handle network stream wite failures better
  * Fixed possible crash if renaming a file to an empty string
  * Better translateion coverage
  * New/updated translations: nb, fr, ru, pl, es, sv, it
* Sun May  9 2010 detlef@links2linux.de
- new upstream version <0.3.4>
  * Fixed #37: gnome-keyring problem
  * Fixed #38: Can't build without gnome-keyring
  * Revert correctly to previous dir on failed dir change
  * Fixed possible problem when swithing keyring mode with.
    no password file present
* Thu May  6 2010 detlef@links2linux.de
- new upstream version <0.3.3>
  * Implemented workaround for patched gnome-keyring-sharp
    used in ubuntu 10.04. (#35)
  * Added custom command dialog (from right click menu)
  * Updated translations: pl
* Sun Apr 18 2010 detlef@links2linux.de
- new upstream version <0.3.2>
  * Fixed missing icon issues in progress panel (#34)
  * Improved drag'n drop. More user friendly on multiple selection
  * Some ui improvents for error reporting
  * Fixed crash when recieving a 550 on changedir
  * Fixed issue #30 (right click instability)
  * Fixed bug #29 (Impossible connect to a server with different port via sftp)
  * Ensure clean openssh exit on disconnect (no more defunct processes)
  * Changed date formating in list view
  * Updated translations: ca, de, es, fr, nb, pt_BR, sv
* Sun Jan  3 2010 detlef@links2linux.de
- new upstream version <0.3.1>
  * Better thread control when doing mutiple transfers
  * More failsafe code when setting statusbar messages
  * Fixed potential nullreference bug on failed connections (#28)
* Wed Dec 23 2009 detlef@links2linux.de
- new upstream version <0.3.0>
  * Resizeable column widths in file views
  * New ssh implementation using local openssh
  * Optional password storage in Gnome Keyring
  * Bookmark backup/restore
  * Transfer information displayed in window title when minimized
  * Auto reconnect on ftp session timeout
  * Remember scroll position when going to parent directory
  * Enable remote directory listing cache
  * Do ChangeDir in a separate thread for GUI responsiveness
  * Possibility to do multiple ftp transfers simultaneously
  * Configurable max number of simultanuous connections
  * Visualize keybindings in context menu
  * Fix some keybinding problems. They should all work now.
  * Changed quick-bookmarks menu from a menu item to a nicer button,
    to make the gui look nicer on certain themes
  * New translations: Polish
* Thu Mar  5 2009 detlef@links2linux.de
- new upstream version <0.2.0>
  * Fixed several chmod issues
  * Fixed crash on transfer progress right-click (#4)
  * Fixed certain issues with moving transfers up/down
  * Aborting transfers now works to some extent
  * Added support for VMS directory listings
  * Added new site manager (#1)
  * Removed unused methods and System.Data dependency
  * Fixed exception on exit from file menu (#3)
  * Handle some HP ftp server directory listings
* Mon Jan 26 2009 detlef@links2linux.de
- new upstream version <0.1.4>
  * Enabled sorting on all columns
  * Connection to remote site is now done threaded to avoid gui
    freeze when remote site doesn't answer
  * Improvements in error handling on delete
  * Fixed right click behaviour in file lists.
  * Fixed charset issues when sending commands
  * Fixed several problems using windows/dos ftp server
  * Display remote error messages in statusbar
  * Several improvements in exception handling
* Fri Jan 16 2009 detlef@links2linux.de
- new upstream version <0.1.3>
  * New preferences dialog
  * Configurable defualt protocol and ports
  * Setting show/hide hidden files has instant effect when connected
  * Preserve file permissions on transfer
  * Drag'n drop now use the familiar default icon
  * Remove rubber banding to enable easier multiple drag'n drop
  * Fix desktop file for fedora rpms
  * Drag'n drop integration with GNOME
    (remote->gnome works only if remote site is mounted)
  * New French translation by Simon Leblanc <contact@leblanc-simon.eu>
  * New Spanish translation by Julio NapurÃ­ Carlos <julionc@gmail.com>
  * More strings translatable and some typo corrections
  * Link icon arrow now points right
  * Chmod dialog display original permissions if activated for one file
* Mon Dec 29 2008 detlef@links2linux.de
- fix Requires
* Sat Dec 27 2008 detlef@links2linux.de
- initial build for PackMan <0.1.2>
  * Catching more remote connection exceptions
  * Added new Failed trasfer status
  * New Connection class amaging a connection pool to enable
    multithreaded remote operations
  * Find user/group names in different way to avoid crash when files
    have unknown owner
  * Icons in progress list
  * Clear progress list on disconnect
  * Check for connection when pressing upload/download
  * User folder icon for parent directory
* Sat Dec 20 2008 detlef@links2linux.de
- initial build for PackMan <0.1.1>
